cs_dump(3)

NAME
cs_dump - dump the cs parse tree

SYNOPSIS
#include <cs/cs.h> NEOERR *cs_dump (CSPARSE *parse, void *ctx, CSOUTFUNC cb);

ARGUMENTS
parse - the CSPARSE structure created with cs_init
ctx - user data to be passed to the CSOUTFUNC
cb - a CSOUTFUNC callback

DESCRIPTION
cs_dump will dump the CS parse tree in the parse struct. This can be useful for debugging your templates. This function also uses the CSOUTFUNC callback to display the parse tree.

RETURN VALUE
None

SEE ALSO
cs_dump(3), cs_destroy(3), cs_render(3), cs_register_esc_strfunc(3), cs_arg_parsev(3), cs_register_fileload(3), cs_init(3), cs_register_strfunc(3), cs_arg_parse(3), cs_parse_string(3), cs_parse_file(3), =(3), cs_register_function